Home > Could Not > Could Not Find Postinst Hook Script Usr/sbin/update-grub

Could Not Find Postinst Hook Script Usr/sbin/update-grub

why do they give the same output? If you have created one, you will be able to install the new kernel versions. See also: serverfault.com/questions/328773/… –user55325 Dec 6 '11 at 7:28 Linode vps,how do I know is there grub? –Tinyfool Dec 6 '11 at 7:28 @user55325 But when I Apologies if it has reached you inappropriately; please just reply to this message indicating so.] tags: added: kj-expired Changed in linux (Ubuntu): status: Incomplete → Expired See full activity log To http://jessriegel.com/could-not/grub-could-not-find-device.html

So what gives with > this? > > Thanks any help! - John I'm wondering if you need a / before the usr. --Mike Bird Reply to: debian-user@lists.debian.org Mike Bird (on-list) Done libmemcache0 is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 2 not fully installed or removed. That will determine which boot loader you should have installed. –Andrew Schulman Nov 8 '11 at 9:02 add a comment| 1 Answer 1 active oldest votes up vote 0 down vote No path or device is specified. you can try this out

share|improve this answer edited Nov 8 '11 at 9:19 answered Nov 7 '11 at 8:53 Andrew Schulman 5,25881835 Okay... Affecting: linux (Ubuntu) Filed here by: fourmi When: 2008-08-26 Completed: 2010-05-24 Target Distribution Baltix BOSS Juju Charms Collection Elbuntu Guadalinex Guadalinex Edu Kiwi Linux nUbuntu PLD Linux Tilix tuXlab Ubuntu Ubuntu so that's the reason why grub was missing. The Mrs.

Is no one going to fix a 9 month old bug in the kernel packaging for an LTS release? Running depmod. GameObject with Audio File called with FindGameObjectWithTag returns "Object reference not set to an instance of an object" What is a real-world metaphor for irrational numbers? dpkg: serious warning: files list file for package `libgtkspell0' missing, assuming package has no files currently installed.

Try `/usr/sbin/grub-probe --help' for more information. Done Building dependency tree Reading state information... The female equivalent of "don't break my balls" Did Donald Trump say that "global warming was a hoax invented by the Chinese"? i thought about this What is the truth about 1.5V "lithium" cells Shortest auto-destructive loop Why is credit card information not stolen more often?

It seems the root cause for this issue is Bug 99547 Running depmod. No path or device is specified. If you make a backup in the same folder (/etc/kernel/postinst.d/), it will be call as well, and it will fail. many packages were removed and never installed new one ...

Bug:292159 - Error exit status 17 Bug 292159 This was really a casper bug on USB devices which should be resolved as of casper 1.162 update-initramfs is disabled since running on not really a solution but anyway). For details and our forum data attribution, retention and privacy policy, see here UbuntuCommunityAsk!DeveloperDesignDiscourseHardwareInsightsJujuShopMore ›AppsHelpForumLaunchpadMAASCanonical current community chat Ask Ubuntu Ask Ubuntu Meta your communities Sign up or log in to Who is this six-armed blonde female character?

NOTE: If you want to backup the file first (it's usually a wise idea), copy it in an other directory (/root is a good one, /tmp is not since it wont this contact form I had to wipe and reinstall on the flash drive to get going again. 11.10 kernel update-manager share|improve this question edited Jul 3 at 11:59 sebix 1134 asked Dec 13 '11 There seems to be a grub error: [email protected]:/dev$ sudo apt-get install Reading package lists... perl: warning: Please check that your locale settings: LANGUAGE = (unset), LC_ALL = (unset), LANG = "zh_CN.UTF-8" are supported and installed on your system.

It makes sense that grub-probe can't figure out what to do considering that grub is not involved whatsoever in the boot process. (This leads me to wonder why doesn't apt-get check Running depmod. Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the have a peek here After this operation, 0 B of additional disk space will be used.

thanks. –Novak Jun 26 '15 at 3:39 add a comment| up vote 0 down vote Did you fix your problem? update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. update-initramfs: Generating /boot/initrd.img-2.6.24-19-generic Could not find postinst hook script [usr/sbin/update-grub].

update-initramfs: Generating /boot/initrd.img-2.6.32-34-server Could not find postinst hook script [update-grub].

Is すごく怖 bad, or good? dpkg: error processing linux-image-server (--configure): dependency problems - leaving unconfigured No apport report written because MaxReports is reached already No apport report written because MaxReports is reached already No apport report found: /boot/grub/menu.lst Searching for splash image ... At least one other has had the same issue on an older version of the O/S.

current community blog chat Server Fault Meta Server Fault your communities Sign up or log in to customize your list. update-initramfs: Generating /boot/initrd.img-2.6.24-24-386 Could not find postinst hook script [update-grub]. run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1 which persists any time I try to repeat the installation. http://jessriegel.com/could-not/grub-install-could-not-find-device-for-dev-root.html And there is no shortage of linux-image-server / lilo users since grub is not compatible with LVM or RAID (which are common in server setups).

more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science Simply go to /etc/kernel-img.config and check that on the line postinst_hook = the symbol "/" is indeed before the path! I recently > made the recommended change in /etc/kernel-img.conf to include: > > postinst_hook = usr/sbin/update-grub > postrm_hook = usr/sbin/update-grub > > When I run the apt-get install...., the configuration fails Try `/usr/sbin/grub-probe --help' for more information.

Well, technically, it has been install properly, only Grub fail to update the MBR. You should then be able to test via a LiveCD. Before install grub : which update-grub ( nothing ) apt-cache policy grub grub: Installed: (none) Candidate: 0.97-29ubuntu36 Version Table: (none) After install grub : which update-grub /usr/sbin/update-grub apt-cache policy grub grub: perl: warning: Setting locale failed.

expr: non-numeric argument User postinst hook script [/sbin/update-grub] exited with value 2 dpkg: error processing linux-image-2.6.27-8-generic (--configure): subprocess post-installation script returned error exit status 2 Bug:326881 - corrupt .deb Bug 326881 Jean-Baptiste Lallement (jibel) on 2008-11-06 description: updated Matthias Jordan (matthiasjordan) wrote on 2008-11-12: #8 Faster workaround: sudo ln -s /bin/true /sbin/update-grub Dave Gilbert (ubuntu-treblig) wrote on 2009-02-21: #9 I've just glued Consider this package as installed, even if it's not completely true. I'm posting it here, for other users that may come across the problem.

Jeremy Foshee (jeremyfoshee) wrote on 2010-03-14: #11 This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin' dpkg: error processing linux-image-2.6.24-16-xen (--configure): subprocess post-installation script returned error exit status 2 Setting up linux-image-2.6.24-24-386 (2.6.24-24.61) ...